import {FormSchema} from "@/components/Form";

export const tableList: any[] = [
  {
    businessId: 1,
    name: '图标加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 2,
    name: '图标专利文件加载',
    scene: '离线加载',
    releaseStatus: '未发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 3,
    name: '版权证书加载',
    scene: '离线加载',
    releaseStatus: '已下线',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '个人工作组',
  },
  {
    businessId: 4,
    name: '学生成绩表格',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 5,
    name: '各科试卷加载',
    scene: '文件加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '共享工作组',
  },
  {
    businessId: 6,
    name: '学生个人信息加载',
    scene: '准实时加载',
    releaseStatus: '已发布',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:04',
    owner: 'admin',
    workgroup: '共享工作组',
  },
];

export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '公共数据集',
    workSpaceName: '公共数据集',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    parentWorkSpaceName: '公共数据集',
    workSpaceName: '党建建设',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '基本信息',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党员发展计划',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 203,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '主题教育活动',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 204,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党建工作总结',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 205,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党史知识竞赛',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 206,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '红色文化展览',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 207,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '志愿服务活动',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 208,
    parentWorkSpaceName: '党建建设',
    workSpaceName: '党员风采展示',
    parentId: 101,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    parentWorkSpaceName: '公共数据集',
    workSpaceName: '交通信息',
    parentId: 100,
    'code:': '004',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 209,
    parentWorkSpaceName: '交通信息',
    workSpaceName: '城市公交优化方案',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 210,
    parentWorkSpaceName: '交通信息',
    workSpaceName: '智能交通系统部署',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 211,
    parentWorkSpaceName: '交通信息',
    workSpaceName: '绿色出行倡议',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];

export const cardList = [
  {
    title: '基本信息',
    scene: 'databaseOfflineLoading',
    parentWorkSpaceName: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    dept: '数据资源管理部',
    description: '集团党委会、党委理论学习中心的学习会的组织实操、集团党委、纪委换届选举',
    label: '其他',
    createdBy: 'admin',
    createdTime: '2023/01/05 15:43:15',
    view: '85',
    edit: '2',
    isShare: 'true',
  },
  {
    title: '党员发展计划',
    scene: 'partyDevelopmentPlan',
    parentWorkSpaceName: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    dept: '组织人事部',
    description: '制定年度党员发展计划，开展入党积极分子培训',
    label: '计划',
    createdBy: 'admin',
    createdTime: '2023/02/10 09:20:30',
    view: '120',
    edit: '5',
    isShare: 'true',
  },
  {
    title: '主题教育活动',
    scene: 'themeEducationActivity',
    parentWorkSpaceName: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    dept: '宣传部',
    description: '举办各类主题教育活动，增强党员意识',
    label: '活动',
    createdBy: 'admin',
    createdTime: '2023/03/15 14:45:45',
    view: '95',
    edit: '3',
    isShare: 'false',
  },
  {
    title: '党建工作总结',
    scene: 'partyWorkSummary',
    parentWorkSpaceName: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    dept: '办公室',
    description: '撰写季度党建工作总结报告',
    label: '总结',
    createdBy: 'admin',
    createdTime: '2023/08/10 09:00:00',
    view: '80',
    edit: '1',
    isShare: 'true',
  },
  {
    title: '党史知识竞赛',
    scene: 'partyHistoryQuiz',
    parentWorkSpaceName: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    dept: '宣传教育中心',
    description: '组织党史知识竞赛，提升党员历史素养',
    label: '竞赛',
    createdBy: 'admin',
    createdTime: '2023/05/25 16:30:15',
    view: '110',
    edit: '4',
    isShare: 'false',
  },
  {
    title: '公交优化方案',
    scene: 'urbanBusOptimization',
    parentWorkSpaceName: '交通信息',
    icon: 'majesticons:bus',
    color: '#71c8d5',
    dept: '交通规划部',
    description: '分析现有公交线路运行情况，提出优化建议以提高效率和乘客满意度。',
    label: '方案',
    createdBy: 'admin',
    createdTime: '2023/04/01 10:00:00',
    view: '90',
    edit: '3',
    isShare: 'true',
  },
  {
    title: '交通系统部署',
    scene: 'intelligentTransportSystemDeployment',
    icon: 'majesticons:bus',
    parentWorkSpaceName: '交通信息',
    color: '#71c8d5',
    dept: '信息技术部',
    description:
      '实施先进的智能交通管理系统，包括信号灯控制、交通流量监测等，旨在缓解城市交通拥堵。',
    label: '技术',
    createdBy: 'admin',
    createdTime: '2023/05/15 11:30:00',
    view: '115',
    edit: '5',
    isShare: 'false',
  },
  {
    title: '绿色出行倡议',
    scene: 'greenCommuteInitiative',
    icon: 'majesticons:bus',
    parentWorkSpaceName: '交通信息',
    color: '#71c8d5',
    dept: '环保与发展部',
    description: '推广低碳环保的出行方式，如骑行和步行，并为市民提供相关设施支持。',
    label: '倡议',
    createdBy: 'admin',
    createdTime: '2023/09/28 14:00:00',
    view: '75',
    edit: '2',
    isShare: 'true',
  },
];


export const columnInformationList: any[] = [
  {
    businessId: 1,
    columnName: 'name',
    chineseName: '姓名',
    fieldDescription: '姓名',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G3',
    sensitiveType: '姓名 (简体中文)',
    dataStandards: '-',
  },
  {
    businessId: 2,
    columnName: 'phone_number',
    chineseName: '手机号',
    fieldDescription: '手机号',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G3',
    sensitiveType: '手机号 (中国移动+86)',
    dataStandards: '-',
  },
  {
    businessId: 3,
    columnName: 'student_id',
    chineseName: '学号',
    fieldDescription: '学号',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G3',
    sensitiveType: '账户编号',
    dataStandards: '-',
  },
  {
    businessId: 4,
    columnName: 'major',
    chineseName: '专业',
    fieldDescription: '专业',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G10',
    sensitiveType: '专业',
    dataStandards: '-',
  },
  {
    businessId: 5,
    columnName: 'origin_city',
    chineseName: '生源地',
    fieldDescription: '生源地',
    fieldType: 'string',
    sensitiveState: '不敏感',
    securityClassification: '未分级',
    sensitiveType: '-',
    dataStandards: '-',
  },
  {
    businessId: 6,
    columnName: 'ethnic',
    chineseName: '民族',
    fieldDescription: '民族',
    fieldType: 'string',
    sensitiveState: '敏感',
    securityClassification: 'G2',
    sensitiveType: '民族',
    dataStandards: '-',
  },
  {
    businessId: 7,
    columnName: 'building_num',
    chineseName: '楼号',
    fieldDescription: '楼号',
    fieldType: 'int',
    sensitiveState: '不敏感',
    securityClassification: '未分级',
    sensitiveType: '-',
    dataStandards: '-',
  },
  {
    businessId: 8,
    columnName: 'room_num',
    chineseName: '寝室号',
    fieldDescription: '寝室号',
    fieldType: 'int',
    sensitiveState: '不敏感',
    securityClassification: '安全分级_03',
    sensitiveType: '敏感类型_01',
    dataStandards: '-',
  },
];


export const treeDataList = [
  {
    name: '资源信息',
    selectedDeptId: 21,
    children: [
    ],
  },
  {
    name: '列信息',
    selectedDeptId: 22,
    children: [
    ],
  },
  {
    name: '采样数据',
    selectedDeptId: 23,
    children: [
    ],
  },
];

/** 推送*/
export const personSchema: FormSchema[] = [
  {

    field: 'titleApplication',
    component: 'Input',
    colProps: { lg: 11, md: 11 },
    label: '申请标题',
    required: true,

  },
  {

    field: 'reasonForApplication',
    component: 'Input',
    colProps: { lg: 11, md: 11 },
    label: '申请理由',

  },



];

/** 推送*/
export const pushConfiguration: FormSchema[] = [
  {

    field: 'whetherToAutomaticallyCreateATable',
    component: 'Switch',
    colProps: { lg: 22, md: 22 },
    label: '是否自动建表',
  },
  {
    field: 'targetDataSource',
    label: '目标数据源',
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        {
          label: '18inceptor(商场工作区)',
          value: '1'
        },
        {
          label: '19inceptor(商场工作区)',
          value: '2'
        },
      ],
      placeholder: '18inceptor(商场工作区)',
    },
    colProps: { span: 11 },
  },
  {
    field: 'database',
    label: '数据库',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        { label: 'dataset_push', value: '1' },
        { label: 'dataset', value: '2' },
      ],
      placeholder: 'dataset_push',
    },
    colProps: { span: 11 },
  },
  {
    field: 'pushCycle',
    label: '推送周期',
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        { label: '无周期', value: '1' },
        { label: '一周期', value: '2' },
        { label: '两周期', value: '3' },
        { label: '三周期', value: '4' },
        { label: '四周期', value: '5' },
        { label: '五周期', value: '6' },
        { label: '六周期', value: '7' },
        { label: '十二周期', value: '8' },
        { label: '二十四周期', value: '9' },
      ],
      placeholder: '周期',
    },
    colProps: { span: 11 },
  },
  {
    field: 'HDFSDataSource',
    label: 'HDFS数据源',
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        { label: 'hdfs', value: '1' },
        { label: 'hdfsE', value: '2' },
      ],
      placeholder: 'hdfs',
    },
    colProps: { span: 11 },
  },

  {
    field: 'utilizeResources',
    component: 'RadioGroup',
    label: '使用资源',
    colProps: {
      span: 16,
    },
    componentProps: {
      options: [
        {
          label: '源端',
          value: '1',
        },
        {
          label: '目标端',
          value: '2',
        },

      ],
    },
  },

];
