export const resourceList = [
  {
    resourceName: '基本信息',
    scene: 'databaseOfflineLoading',
    resourceCataloging: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    ownershipBody: '数据资源管理部',
    applicantOrganization: '数据资源管理部',
    description: '集团党委会、党委理论学习中心的学习会的组织实操、集团党委、纪委换届选举',
    label: '其他',
    applicant: 'admin',
    permissionType: '查看',
    createdTime: '2023/01/05 15:43:15',
    view: '85',
    edit: '2',
    isShare: 'true',
  },
  {
    resourceName: '党员发展计划',
    scene: 'partyDevelopmentPlan',
    resourceCataloging: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    ownershipBody: '组织人事部',
    applicantOrganization: '组织人事部',
    permissionType: '查看',
    description: '制定年度党员发展计划，开展入党积极分子培训',
    label: '计划',
    applicant: 'admin',
    createdTime: '2023/02/10 09:20:30',
    view: '120',
    edit: '5',
    isShare: 'true',
  },
  {
    resourceName: '主题教育活动',
    scene: 'themeEducationActivity',
    resourceCataloging: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    ownershipBody: '宣传部',
    applicantOrganization: '宣传部',
    permissionType: '查看',
    description: '举办各类主题教育活动，增强党员意识',
    label: '活动',
    applicant: 'admin',
    createdTime: '2023/03/15 14:45:45',
    view: '95',
    edit: '3',
    isShare: 'false',
  },
  {
    resourceName: '党建工作总结',
    scene: 'partyWorkSummary',
    resourceCataloging: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    ownershipBody: '办公室',
    applicantOrganization: '办公室',
    permissionType: '查看',
    description: '撰写季度党建工作总结报告',
    label: '总结',
    applicant: 'admin',
    createdTime: '2023/08/10 09:00:00',
    view: '80',
    edit: '1',
    isShare: 'true',
  },
  {
    resourceName: '党史知识竞赛',
    scene: 'partyHistoryQuiz',
    resourceCataloging: '党建建设',
    icon: 'majesticons:table',
    color: '#71c8d5',
    ownershipBody: '宣传教育中心',
    applicantOrganization: '宣传教育中心',
    permissionType: '编辑',
    description: '组织党史知识竞赛，提升党员历史素养',
    label: '竞赛',
    applicant: 'admin',
    createdTime: '2023/05/25 16:30:15',
    view: '110',
    edit: '4',
    isShare: 'false',
  },
  {
    resourceName: '公交优化方案',
    scene: 'urbanBusOptimization',
    resourceCataloging: '交通信息',
    icon: 'majesticons:bus',
    color: '#71c8d5',
    ownershipBody: '交通规划部',
    applicantOrganization: '交通规划部',
    permissionType: '编辑',
    description: '分析现有公交线路运行情况，提出优化建议以提高效率和乘客满意度。',
    label: '方案',
    applicant: 'admin',
    createdTime: '2023/04/01 10:00:00',
    view: '90',
    edit: '3',
    isShare: 'true',
  },
  {
    resourceName: '交通系统部署',
    scene: 'intelligentTransportSystemDeployment',
    icon: 'majesticons:bus',
    resourceCataloging: '交通信息',
    color: '#71c8d5',
    ownershipBody: '信息技术部',
    applicantOrganization: '信息技术部',
    permissionType: '编辑',
    description:
      '实施先进的智能交通管理系统，包括信号灯控制、交通流量监测等，旨在缓解城市交通拥堵。',
    label: '技术',
    applicant: 'admin',
    createdTime: '2023/05/15 11:30:00',
    view: '115',
    edit: '5',
    isShare: 'false',
  },
  {
    resourceName: '绿色出行倡议',
    scene: 'greenCommuteInitiative',
    icon: 'majesticons:bus',
    resourceCataloging: '交通信息',
    color: '#71c8d5',
    ownershipBody: '环保与发展部',
    applicantOrganization: '环保与发展部',
    permissionType: '删除',
    description: '推广低碳环保的出行方式，如骑行和步行，并为市民提供相关设施支持。',
    label: '倡议',
    applicant: 'admin',
    createdTime: '2023/09/28 14:00:00',
    view: '75',
    edit: '2',
    isShare: 'true',
  },
];
