import {BasicColumn} from '@/components/Table';

export const Columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'title',
  },
  {
    title: '部门',
    dataIndex: 'dept',
  },
  {
    title: '标签',
    dataIndex: 'label',
  },
  {
    title: '描述',
    dataIndex: 'description',
  },
  {
    title: '创建人',
    dataIndex: 'createdBy',
  },
  {
    title: '创建时间',
    dataIndex: 'createdTime',
  },
  {
    title: '浏览次数',
    dataIndex: 'view',
  },
  {
    title: '推送次数',
    dataIndex: 'edit',
  },
  {
    title: '共享类型',
    dataIndex: 'isShare',
    slots: { customRender: 'isShare' },
  },
];

export const columns: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'columnName',
    width: 110,
  },
  {
    title: '中文名',
    dataIndex: 'chineseName',
    width: 120,
  },
  {
    title: '字段描述',
    dataIndex: 'fieldDescription',
    width: 120,
  },
  {
    title: '字段类型',
    dataIndex: 'fieldType',
    width: 120,
  },
  {
    title: '敏感状态',
    dataIndex: 'sensitiveState',
    width: 120,
  },
  {
    title: '安全分级',
    dataIndex: 'securityClassification',
    width: 120,
  },
  {
    title: '敏感类型',
    dataIndex: 'sensitiveType',
    width: 110,
  },
  {
    title: '数据标准',
    dataIndex: 'dataStandards',
    width: 150,
  },

];


export const samplingInfoData: any[] = [
  {
    name: 'zhangsan',
    phone_number_string: '12345678901',
    student_id: 'TEST1',
    major: '-',
    origin_city: '河南省',
    ethnic: '汉族',
  },
  {
    name: '李四',
    phone_number_string: '12345678902',
    student_id: 'TEST2',
    major: '-',
    origin_city: '吉林省',
    ethnic: '汉族',
  },
  {
    name: 'wangwu',
    phone_number_string: '12345678903',
    student_id: 'TEST6',
    major: '-',
    origin_city: '上海市',
    ethnic: '汉族',
  },

];

